/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.post;

import cn.hutool.core.date.LocalDateTimeUtil;
import com.yiring.auth.domain.post.Post;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import javax.validation.constraints.NotNull;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 职位修改
 *
 * @author LJ-2204
 * @date 2022/4/25
 */

@ApiModel("PostModifyParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class PostModifyParam implements Serializable {

    @Serial
    private static final long serialVersionUID = 9182648236336186660L;

    @ApiModelProperty(value = "主键", example = "1", required = true)
    @NotNull
    Long id;

    @ApiModelProperty(value = "名称", example = "Java", required = true)
    @NotNull
    String name;

    @ApiModelProperty(value = "描述", example = "描述")
    String describe;

    @ApiModelProperty(value = "是否启用", example = "true")
    Boolean enable;

    public Post transform(PostModifyParam postParam) {
        return Post
            .builder()
            .id(postParam.getId())
            .name(postParam.getName())
            .describe(postParam.getDescribe())
            .enable(postParam.getEnable())
            .createTime(LocalDateTimeUtil.now())
            .build();
    }
}
