/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.user;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serial;
import java.io.Serializable;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * 用户检索
 *
 * @author LJ-2204
 * @date 2022/4/26
 */

@ApiModel("UserIndexParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class UserIndexParam implements Serializable {

    @Serial
    private static final long serialVersionUID = -5843843146263025946L;

    @ApiModelProperty(value = "真实姓名or手机号码")
    String str;
}
