/* (C) 2022 YiRing, Inc. */
package com.yiring.app.param.visitor;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.time.LocalDateTime;
import javax.validation.constraints.NotEmpty;
import lombok.*;
import lombok.experimental.FieldDefaults;

/**
 * @author tzl
 * 2022/4/19 14:15
 */
@ApiModel("VisitorParam")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@FieldDefaults(level = AccessLevel.PRIVATE)
public class VisitorParam implements Serializable {

    private static final long serialVersionUID = 1444009404727514785L;

    @ApiModelProperty(value = "到访人姓名", example = "张三", required = true)
    @NotEmpty(message = "到访人姓名不能为空")
    String visitorName;

    @ApiModelProperty(value = "到访人电话", example = "17688888888", required = true)
    @NotEmpty(message = "到访人电话不能为空")
    String visitorMobile;

    @ApiModelProperty(value = "到访人身份证", example = "430441190001255417", required = true)
    @NotEmpty(message = "到访人身份证不能为空")
    String visitorCarNum;

    @ApiModelProperty(value = "是否特殊作业", example = "fasle", required = true)
    boolean taskType;

    //    @Comment("邀请人数")
    //    Integer numOfVisitor;

    @ApiModelProperty(value = "访客来源", example = "外部邀请", required = true)
    String visitorSource;

    //    @Comment("标签卡")
    //    String labelCard;
    //
    //    @Comment("标签卡状态")
    //    String labelCardStatus;

    @ApiModelProperty(value = "访客所属公司", example = "壹润科技")
    String orgId;

    @ApiModelProperty(value = "被访人id", example = "1", required = true)
    String intervieweeId;

    @ApiModelProperty(value = "来访原因", example = "看看", required = true)
    String reason;

    //    @ApiModelProperty(value = "发卡时间", example = "看看", required = true)
    //    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    //    LocalDateTime cardRecTime;

    @ApiModelProperty(value = "来访原因", example = "2022-04-19 14:28:00")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    LocalDateTime appOfVisitTime;
    //    @Comment("创建时间")
    //    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    //    LocalDateTime createTime;
    //
    //    @Comment("发卡时间")
    //    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    //    LocalDateTime cardSendTime;

}
